> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dashboard

> Get a referrer's dashboard (given a referrer identity, get their dashboard data).

If we respond with a 404 they are not a referrer. Instead, you should Enrol them as a referrer first, then call this endpoint again.

For information on how to correctly generate the Authentication Token, please see the documentation: https://docs.mention-me.com/api-reference/entry-point-api/authentication-token



## OpenAPI

````yaml /openapi/consumer_api.oas.json get /api/consumer/{version}/referrer/dashboard
openapi: 3.0.0
info:
  title: Consumer API
  description: Create your own front end for the referral journey using our Consumer API.
  termsOfService: https://mention-me.com/help/tnc_f/site
  version: v2
servers:
  - url: https://mention-me.com
    description: Production
  - url: https://demo.mention-me.com
    description: Demo
security: []
tags:
  - name: Record Order
  - name: Enrol Referrer
  - name: Get referrer dashboard
  - name: Find referrer by name
  - name: Link new customer to referrer
paths:
  /api/consumer/{version}/referrer/dashboard:
    get:
      tags:
        - Get referrer dashboard
      summary: Get dashboard
      description: >-
        Get a referrer's dashboard (given a referrer identity, get their
        dashboard data).


        If we respond with a 404 they are not a referrer. Instead, you should
        Enrol them as a referrer first, then call this endpoint again.


        For information on how to correctly generate the Authentication Token,
        please see the documentation:
        https://docs.mention-me.com/api-reference/entry-point-api/authentication-token
      operationId: get_api_referrer_dashboard
      parameters:
        - name: version
          in: path
          description: Version
          required: true
          schema:
            type: string
            pattern: v2|v1
            enum:
              - v2
              - v1
          example: v2
        - name: emailAddress
          in: query
          description: Email address of the referrer whose dashboard you require
          required: true
          schema:
            type: string
          example: jane.doe@example.com
        - name: request[authenticationToken]
          in: query
          description: >-
            This is a signature using a salted hash of the email address of the
            customer with a secret key, and validates the authenticity of the
            request.


            For information on how to correctly generate this token, please see
            the documentation:
            https://docs.mention-me.com/api-reference/entry-point-api/authentication-token
          required: true
          schema:
            type: string
          example: '[AUTHENTICATION-TOKEN]'
        - name: request[partnerCode]
          in: query
          description: Your partner code, used to link to your users and offers
          required: true
          schema:
            type: string
          example: '[YOUR-PARTNER-CODE]'
        - name: request[situation]
          in: query
          description: >-
            Situation - a string representing where in the application you are
            making this request
          required: true
          schema:
            type: string
          example: mobile-app
        - name: request[ipAddress]
          in: query
          description: >-
            IP address of the customer connection. If you're making a request on
            behalf of a customer, pass their IP address here. If the customer
            will connect directly, leave this empty and we will retrieve this
            from their request.
          required: false
          schema:
            type: string
        - name: request[localeCode]
          in: query
          description: >-
            Locale code - ISO standard locale code (e.g. en_GB) for the locale
            you expect the content to be in
          required: false
          schema:
            type: string
        - name: segment
          in: query
          description: >-
            Customer segment - a string containing segment data about this
            customer, e.g. vip or employee. You can concatenate multiple
            segments together if you wish using hyphens.
          required: false
          schema:
            type: string
        - name: uniqueCustomerIdentifier
          in: query
          description: Customer Id - your unique identifier for this customer
          required: false
          schema:
            type: string
        - name: request[userDeviceIdentifier]
          in: query
          description: >-
            User Device Identifier should be a unique reference to this
            combination of app + user.
          required: false
          schema:
            type: string
        - name: request[deviceType]
          in: query
          description: >-
            Device type - your description of the device the user is using. We
            use this for performance and conversion optimisation.
          required: false
          schema:
            type: string
        - name: request[appName]
          in: query
          description: Your application name. Used for reporting.
          required: false
          schema:
            type: string
        - name: request[appVersion]
          in: query
          description: >-
            Your application version reference. Used for reporting and
            troubleshooting.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Returned when successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReferralDashboardOffer'
        '204':
          description: >-
            No content, when the customer does not have a dashboard to show. Try
            enrolling them as a referrer first.
        '400':
          description: The request contains errors
        '403':
          description: Returned when the integration for this merchant is not enabled
        '404':
          description: >-
            Returned when it is not possible to serve a dashboard for this
            request
        '500':
          description: Internal server error, unable to complete the request
components:
  schemas:
    ReferralDashboardOffer:
      properties:
        offer:
          title: Description of the offer and rewards.
          oneOf:
            - $ref: '#/components/schemas/Offer'
        nameShare:
          title: 'Name Share information:'
          description: >-
            Details about NameShare, including the name someone can search for
            and their referral code if available.
          oneOf:
            - $ref: '#/components/schemas/NameShare'
        shareLinks:
          title: List of share links for different share mechanisms.
          type: array
          items:
            $ref: '#/components/schemas/ShareLink'
        termsLinks:
          title: Links to the terms and conditions for this offer.
          oneOf:
            - $ref: '#/components/schemas/TermsLinks'
        referralStats:
          title: Referral Stats.
          oneOf:
            - $ref: '#/components/schemas/ReferralStats'
        referralRewards:
          title: >-
            Referral rewards - list of potential rewards they are due for
            introducing customers.
          type: array
          items:
            $ref: '#/components/schemas/DashboardReward'
      type: object
    Offer:
      properties:
        id:
          title: The identifier of the offer.
          type: integer
        localeCode:
          title: The locale code of the Offer.
          type: string
        headline:
          title: The headline description for the Offer.
          description: e.g. "You can get a £20 gift card if you refer a friend to ..."
          type: string
        description:
          title: The details of the Offer.
          description: e.g. "Give your friends a 20% off introductory offer"
          type: string
        callToAction:
          title: >-
            The callToAction text of the Offer - typically goes on the button of
            the offer
          description: e.g. "Get a £20 gift card"
          type: string
        privacyNotice:
          title: >-
            The privacyNotice text of the Offer - typically shown near the CTA
            if required by privacy regulation
          description: e.g. "Get a £20 gift card"
          type: string
        privacyLink:
          title: >-
            The URL to the Mention Me privacy policy - typically shown near the
            Privacy Notice.
          description: e.g. "https://mention-me.com/help/privacy_policy"
          type: string
        referrerReward:
          title: The explicit description of the Referrer Reward for the Referrer.
          oneOf:
            - $ref: '#/components/schemas/Reward'
        refereeReward:
          title: The explicit description of the Referee reward for the Referrer.
          oneOf:
            - $ref: '#/components/schemas/Reward'
      type: object
    NameShare:
      properties:
        name:
          type: string
        referralCode:
          title: 'External docs:'
          description: >-
            Unique code this person can share with others to enter in the "Been
            referred by a friend?" section of your website.
          type: string
      type: object
    ShareLink:
      properties:
        type:
          title: >-
            The type of share mechanism (e.g. Facebook, Twitter, Open link,
            Email link)
          type: string
        protocol:
          title: The protocol (if available) for the share
          type: string
        url:
          title: The url to include in the share
          type: string
        defaultShareMessage:
          title: The default message to include in the share
          type: string
          default: ''
        exampleImplementation:
          title: >-
            An example of the share URL you could use to initiate this share.
            You are free to implement this your own way if you wish.
          type: string
          default: ''
      type: object
    TermsLinks:
      properties:
        localeCode:
          title: The locale code of the terms link
          type: string
        linkToTermsInLocale:
          title: Link to the terms and conditions in the locale stated
          type: string
      type: object
    ReferralStats:
      properties:
        successfulReferrals:
          title: Number of successful referrals
          type: integer
          default: 0
        invitations:
          title: Number of invitations made
          type: integer
          default: 0
        clicksOnInvites:
          title: Number of clicks on invites
          type: integer
          default: 0
      type: object
    DashboardReward:
      properties:
        description:
          title: Friendly description of a reward for the intended recipient.
          description: >-
            The description we give may vary depending on the point in the flow
            that we choose to give it. Note that in some cases this might be
            "promising the reward" and in other cases "giving it".


            e.g. "You'll get £20 for each friend you refer" e.g. "Your friends
            get a free camera when they order for the first time" e.g. "A 20%
            discount code"
          type: string
        summary:
          title: >-
            Summary - now deprecated - it serves no purpose over and above the
            description.
          type: string
        amount:
          title: >-
            The reward amount - now deprecated (because rewards don't have a
            consistent amount - some have text, percentage, number. Use the
            description to describe the reward.
          type: string
        status:
          title: Status of the reward eg Pending, Cancelled, Given by email
          type: string
        forReferring:
          title: >-
            Description of who they referred to get the reward. As this could be
            multiple people, it's an array.
          type: object
          additionalProperties: true
      type: object
    Reward:
      properties:
        description:
          title: Friendly description of a reward for the intended recipient.
          description: >-
            The description we give may vary depending on the point in the flow
            that we choose to give it. Note that in some cases this might be
            "promising the reward" and in other cases "giving it".


            e.g. "You'll get £20 for each friend you refer" e.g. "Your friends
            get a free camera when they order for the first time" e.g. "A 20%
            discount code"
          type: string
        summary:
          title: >-
            Summary - now deprecated - it serves no purpose over and above the
            description.
          type: string
        amount:
          title: >-
            The reward amount - now deprecated (because rewards don't have a
            consistent amount - some have text, percentage, number. Use the
            description to describe the reward.
          type: string
      type: object

````